package com.lanyuanxiaoyao.service.configuration.entity.info;

import java.time.LocalDate;

/**
 * 表跨天信息
 *
 * @author lanyuanxiaoyao
 * @date 2023-06-06
 */
public class VersionUpdated {
    private Long flinkJobId;
    private String alias;
    private String version;
    private Boolean updated;

    public VersionUpdated() {
    }

    public VersionUpdated(Long flinkJobId, String alias, String version, Boolean updated) {
        this.flinkJobId = flinkJobId;
        this.alias = alias;
        this.version = version;
        this.updated = updated;
    }

    public Long getFlinkJobId() {
        return flinkJobId;
    }

    public String getAlias() {
        return alias;
    }

    public String getVersion() {
        return version;
    }

    public Boolean getUpdated() {
        return updated;
    }

    @Override
    public String toString() {
        return "VersionUpdated{" +
                "flinkJobId=" + flinkJobId +
                ", alias='" + alias + '\'' +
                ", version='" + version + '\'' +
                ", updated=" + updated +
                '}';
    }
}
